List Model Styles
curl --request GET \
--url https://platform.perso.ai/api/v1/settings/modelstyle/ \
--header 'PersoPlatform-APIKey: <api-key>'import requests
url = "https://platform.perso.ai/api/v1/settings/modelstyle/"
headers = {"PersoPlatform-APIKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'PersoPlatform-APIKey': '<api-key>'}};
fetch('https://platform.perso.ai/api/v1/settings/modelstyle/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.perso.ai/api/v1/settings/modelstyle/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"PersoPlatform-APIKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.perso.ai/api/v1/settings/modelstyle/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("PersoPlatform-APIKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform.perso.ai/api/v1/settings/modelstyle/")
.header("PersoPlatform-APIKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.perso.ai/api/v1/settings/modelstyle/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["PersoPlatform-APIKey"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"name": "<string>",
"model": "<string>",
"model_files": [
{
"name": "<string>",
"file": "<string>"
}
],
"style": "<string>",
"files": [
{
"name": "<string>",
"file": "<string>"
}
],
"configs": [
{
"modelstyleconfig_id": "<string>",
"key": "<string>",
"value": "<string>"
}
],
"model_file": "<string>",
"file": "<string>",
"platform_type": "android"
}
]Session Resources
List Model Styles
List available model styles with optional filtering.
Query Parameters
| Parameter | Required | Description |
|---|---|---|
platform_type | No | Filter by platform type |
Platform Types
| Type | Description |
|---|---|
webrtc | Real-time WebRTC streaming |
studio | Offline video generation |
onpremise | On-premise deployment |
GET
/
api
/
v1
/
settings
/
modelstyle
/
List Model Styles
curl --request GET \
--url https://platform.perso.ai/api/v1/settings/modelstyle/ \
--header 'PersoPlatform-APIKey: <api-key>'import requests
url = "https://platform.perso.ai/api/v1/settings/modelstyle/"
headers = {"PersoPlatform-APIKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'PersoPlatform-APIKey': '<api-key>'}};
fetch('https://platform.perso.ai/api/v1/settings/modelstyle/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.perso.ai/api/v1/settings/modelstyle/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"PersoPlatform-APIKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.perso.ai/api/v1/settings/modelstyle/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("PersoPlatform-APIKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform.perso.ai/api/v1/settings/modelstyle/")
.header("PersoPlatform-APIKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.perso.ai/api/v1/settings/modelstyle/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["PersoPlatform-APIKey"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"name": "<string>",
"model": "<string>",
"model_files": [
{
"name": "<string>",
"file": "<string>"
}
],
"style": "<string>",
"files": [
{
"name": "<string>",
"file": "<string>"
}
],
"configs": [
{
"modelstyleconfig_id": "<string>",
"key": "<string>",
"value": "<string>"
}
],
"model_file": "<string>",
"file": "<string>",
"platform_type": "android"
}
]Authorizations
Query Parameters
Filter by platform type
Available options:
android, ios, webrtc Response
Maximum string length:
100Show child attributes
Show child attributes
Maximum string length:
100Show child attributes
Show child attributes
Show child attributes
Show child attributes
Platform type for this model style
android- Androidios- iOSwebrtc- WebRTC
Available options:
android, ios, webrtc 
